/*
  SugarTrace
  Copyright by Naoyuki Tamura (tamura@kobe-u.ac.jp)
 */
drawDiagram = function (modifiedVariable) {
    if (! modifiedVariable) {
	draw("canvas", canvas);
    }
    for (var i = 0; i < variables.length; i++) {
	var v = variables[i];
	if (v.type == "int") {
	    var s = canvas.shapes[v.name + ".domain"];
	    if (s) {
		var color = "#000";
		if (v == modifiedVariable) {
		    color = "#f00";
		} else if (v.modified) {
		    color = "#00f";
		}
		s.element.attr({text:v.domain, fill:color});
	    }
	} else {
	    var s = canvas.shapes[v.name];
	    if (s) {
		if (v.domain == "undef") {
		    var color = "#eee";
		    s.element.attr({stroke:color});
		    s.elements[1].attr({fill:color});
		    s.elements[2].attr({fill:color});
		    s.element.toBack();
		} else {
		    var color = "#000";
		    if (v == modifiedVariable) {
			color = "#f00";
		    } else if (v.modified) {
			color = "#00f";
		    }
		    s.element.attr({stroke:color});
		    s.elements[1].attr({fill:color});
		    s.elements[2].attr({fill:color});
		    if (v.domain == "true") {
			s.elements[1].hide();
			s.elements[2].show();
		    } else {
			s.elements[1].show();
			s.elements[2].hide();
		    }
		}
	    }
	}
    }
}
