/*
  SugarTrace
  Copyright by Naoyuki Tamura (tamura@kobe-u.ac.jp)
 */
var canvas = {
width : 600,
height : 300,
margin: [ 10, 10, 10, 10 ],
cols : 3,
rows : 3,
colsep : 80,
rowsep : 20,
fontSize : '14px',
strokeWidth : 2,
arrowSize : 15,
arrowAngle : 15,
shapes : [
{ name:'makespan', type:'text', t:'makespan', x:'c0', y:'R0 5' },
{ name:'makespan.domain', type:'text', t:'0..0', x:'c0 0.5C', y:'R0 5' },
{ name:'s_0_0', type:'rect', x:'c0', y:'r0', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_0_0.domain', type:'text', t:'0..0', x:'s_0_0.x', y:'s_0_0.y' },
{ name:'s_0_0.text', type:'text', t:'s_0_0', x:'s_0_0.C', y:'s_0_0.T 10' },
{ name:'s_0_0.pt', type:'text', t:'661', x:'s_0_0.C', y:'s_0_0.B -10' },
{ name:'s_0_1', type:'rect', x:'c1', y:'r0', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_0_1.domain', type:'text', t:'0..0', x:'s_0_1.x', y:'s_0_1.y' },
{ name:'s_0_1.text', type:'text', t:'s_0_1', x:'s_0_1.C', y:'s_0_1.T 10' },
{ name:'s_0_1.pt', type:'text', t:'6', x:'s_0_1.C', y:'s_0_1.B -10' },
{ name:'s_0_2', type:'rect', x:'c2', y:'r0', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_0_2.domain', type:'text', t:'0..0', x:'s_0_2.x', y:'s_0_2.y' },
{ name:'s_0_2.text', type:'text', t:'s_0_2', x:'s_0_2.C', y:'s_0_2.T 10' },
{ name:'s_0_2.pt', type:'text', t:'333', x:'s_0_2.C', y:'s_0_2.B -10' },
{ name:'s_1_0', type:'rect', x:'c0', y:'r1', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_1_0.domain', type:'text', t:'0..0', x:'s_1_0.x', y:'s_1_0.y' },
{ name:'s_1_0.text', type:'text', t:'s_1_0', x:'s_1_0.C', y:'s_1_0.T 10' },
{ name:'s_1_0.pt', type:'text', t:'168', x:'s_1_0.C', y:'s_1_0.B -10' },
{ name:'s_1_1', type:'rect', x:'c1', y:'r1', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_1_1.domain', type:'text', t:'0..0', x:'s_1_1.x', y:'s_1_1.y' },
{ name:'s_1_1.text', type:'text', t:'s_1_1', x:'s_1_1.C', y:'s_1_1.T 10' },
{ name:'s_1_1.pt', type:'text', t:'489', x:'s_1_1.C', y:'s_1_1.B -10' },
{ name:'s_1_2', type:'rect', x:'c2', y:'r1', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_1_2.domain', type:'text', t:'0..0', x:'s_1_2.x', y:'s_1_2.y' },
{ name:'s_1_2.text', type:'text', t:'s_1_2', x:'s_1_2.C', y:'s_1_2.T 10' },
{ name:'s_1_2.pt', type:'text', t:'343', x:'s_1_2.C', y:'s_1_2.B -10' },
{ name:'s_2_0', type:'rect', x:'c0', y:'r2', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_2_0.domain', type:'text', t:'0..0', x:'s_2_0.x', y:'s_2_0.y' },
{ name:'s_2_0.text', type:'text', t:'s_2_0', x:'s_2_0.C', y:'s_2_0.T 10' },
{ name:'s_2_0.pt', type:'text', t:'171', x:'s_2_0.C', y:'s_2_0.B -10' },
{ name:'s_2_1', type:'rect', x:'c1', y:'r2', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_2_1.domain', type:'text', t:'0..0', x:'s_2_1.x', y:'s_2_1.y' },
{ name:'s_2_1.text', type:'text', t:'s_2_1', x:'s_2_1.C', y:'s_2_1.T 10' },
{ name:'s_2_1.pt', type:'text', t:'505', x:'s_2_1.C', y:'s_2_1.B -10' },
{ name:'s_2_2', type:'rect', x:'c2', y:'r2', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_2_2.domain', type:'text', t:'0..0', x:'s_2_2.x', y:'s_2_2.y' },
{ name:'s_2_2.text', type:'text', t:'s_2_2', x:'s_2_2.C', y:'s_2_2.T 10' },
{ name:'s_2_2.pt', type:'text', t:'324', x:'s_2_2.C', y:'s_2_2.B -10' },
{ name:'q_0_0_0_1', type:'path', p:[':M', '<', 's_0_0.R', 's_0_0.M', ':L', 's_0_1.L', 's_0_1.M', '>'] },
{ name:'q_0_0_0_1.text', type:'text', t:'q_0_0_0_1', f:'10px', x:'0.5s_0_0.x 0.5s_0_1.x', y:'0.5s_0_0.y 0.5s_0_1.y -10' },
{ name:'q_0_0_0_2', type:'path', p:[':M', '<', 's_0_0.R', 's_0_0.M 10', ':S25', 's_0_2.L', 's_0_2.M 10', '>'] },
{ name:'q_0_0_0_2.text', type:'text', t:'q_0_0_0_2', f:'10px', x:'0.2s_0_0.x 0.8s_0_2.x', y:'0.5s_0_0.B 0.5s_0_2.B 10' },
{ name:'q_0_1_0_2', type:'path', p:[':M', '<', 's_0_1.R', 's_0_1.M', ':L', 's_0_2.L', 's_0_2.M', '>'] },
{ name:'q_0_1_0_2.text', type:'text', t:'q_0_1_0_2', f:'10px', x:'0.5s_0_1.x 0.5s_0_2.x', y:'0.5s_0_1.y 0.5s_0_2.y -10' },
{ name:'q_1_0_1_1', type:'path', p:[':M', '<', 's_1_0.R', 's_1_0.M', ':L', 's_1_1.L', 's_1_1.M', '>'] },
{ name:'q_1_0_1_1.text', type:'text', t:'q_1_0_1_1', f:'10px', x:'0.5s_1_0.x 0.5s_1_1.x', y:'0.5s_1_0.y 0.5s_1_1.y -10' },
{ name:'q_1_0_1_2', type:'path', p:[':M', '<', 's_1_0.R', 's_1_0.M 10', ':S25', 's_1_2.L', 's_1_2.M 10', '>'] },
{ name:'q_1_0_1_2.text', type:'text', t:'q_1_0_1_2', f:'10px', x:'0.2s_1_0.x 0.8s_1_2.x', y:'0.5s_1_0.B 0.5s_1_2.B 10' },
{ name:'q_1_1_1_2', type:'path', p:[':M', '<', 's_1_1.R', 's_1_1.M', ':L', 's_1_2.L', 's_1_2.M', '>'] },
{ name:'q_1_1_1_2.text', type:'text', t:'q_1_1_1_2', f:'10px', x:'0.5s_1_1.x 0.5s_1_2.x', y:'0.5s_1_1.y 0.5s_1_2.y -10' },
{ name:'q_2_0_2_1', type:'path', p:[':M', '<', 's_2_0.R', 's_2_0.M', ':L', 's_2_1.L', 's_2_1.M', '>'] },
{ name:'q_2_0_2_1.text', type:'text', t:'q_2_0_2_1', f:'10px', x:'0.5s_2_0.x 0.5s_2_1.x', y:'0.5s_2_0.y 0.5s_2_1.y -10' },
{ name:'q_2_0_2_2', type:'path', p:[':M', '<', 's_2_0.R', 's_2_0.M 10', ':S25', 's_2_2.L', 's_2_2.M 10', '>'] },
{ name:'q_2_0_2_2.text', type:'text', t:'q_2_0_2_2', f:'10px', x:'0.2s_2_0.x 0.8s_2_2.x', y:'0.5s_2_0.B 0.5s_2_2.B 10' },
{ name:'q_2_1_2_2', type:'path', p:[':M', '<', 's_2_1.R', 's_2_1.M', ':L', 's_2_2.L', 's_2_2.M', '>'] },
{ name:'q_2_1_2_2.text', type:'text', t:'q_2_1_2_2', f:'10px', x:'0.5s_2_1.x 0.5s_2_2.x', y:'0.5s_2_1.y 0.5s_2_2.y -10' },
{ name:'q_0_0_1_0', type:'path', p:[':M', '<', 's_0_0.C', 's_0_0.B', ':L', 's_1_0.C', 's_1_0.T', '>'] },
{ name:'q_0_0_1_0.text', type:'text', t:'q_0_0_1_0', f:'10px', x:'0.5s_0_0.x 0.5s_1_0.x -0.2c', y:'0.5s_0_0.y 0.5s_1_0.y' },
{ name:'q_0_0_2_0', type:'path', p:[':M', '<', 's_0_0.C 10', 's_0_0.B', ':S-60', 's_2_0.C 10', 's_2_0.T', '>'] },
{ name:'q_0_0_2_0.text', type:'text', t:'q_0_0_2_0', f:'10px', x:'0.5s_0_0.R 0.5s_2_0.R 0.2c', y:'0.7s_0_0.y 0.3s_2_0.y' },
{ name:'q_1_0_2_0', type:'path', p:[':M', '<', 's_1_0.C', 's_1_0.B', ':L', 's_2_0.C', 's_2_0.T', '>'] },
{ name:'q_1_0_2_0.text', type:'text', t:'q_1_0_2_0', f:'10px', x:'0.5s_1_0.x 0.5s_2_0.x -0.2c', y:'0.5s_1_0.y 0.5s_2_0.y' },
{ name:'q_0_1_1_1', type:'path', p:[':M', '<', 's_0_1.C', 's_0_1.B', ':L', 's_1_1.C', 's_1_1.T', '>'] },
{ name:'q_0_1_1_1.text', type:'text', t:'q_0_1_1_1', f:'10px', x:'0.5s_0_1.x 0.5s_1_1.x -0.2c', y:'0.5s_0_1.y 0.5s_1_1.y' },
{ name:'q_0_1_2_1', type:'path', p:[':M', '<', 's_0_1.C 10', 's_0_1.B', ':S-60', 's_2_1.C 10', 's_2_1.T', '>'] },
{ name:'q_0_1_2_1.text', type:'text', t:'q_0_1_2_1', f:'10px', x:'0.5s_0_1.R 0.5s_2_1.R 0.2c', y:'0.7s_0_1.y 0.3s_2_1.y' },
{ name:'q_1_1_2_1', type:'path', p:[':M', '<', 's_1_1.C', 's_1_1.B', ':L', 's_2_1.C', 's_2_1.T', '>'] },
{ name:'q_1_1_2_1.text', type:'text', t:'q_1_1_2_1', f:'10px', x:'0.5s_1_1.x 0.5s_2_1.x -0.2c', y:'0.5s_1_1.y 0.5s_2_1.y' },
{ name:'q_0_2_1_2', type:'path', p:[':M', '<', 's_0_2.C', 's_0_2.B', ':L', 's_1_2.C', 's_1_2.T', '>'] },
{ name:'q_0_2_1_2.text', type:'text', t:'q_0_2_1_2', f:'10px', x:'0.5s_0_2.x 0.5s_1_2.x -0.2c', y:'0.5s_0_2.y 0.5s_1_2.y' },
{ name:'q_0_2_2_2', type:'path', p:[':M', '<', 's_0_2.C 10', 's_0_2.B', ':S-60', 's_2_2.C 10', 's_2_2.T', '>'] },
{ name:'q_0_2_2_2.text', type:'text', t:'q_0_2_2_2', f:'10px', x:'0.5s_0_2.R 0.5s_2_2.R 0.2c', y:'0.7s_0_2.y 0.3s_2_2.y' },
{ name:'q_1_2_2_2', type:'path', p:[':M', '<', 's_1_2.C', 's_1_2.B', ':L', 's_2_2.C', 's_2_2.T', '>'] },
{ name:'q_1_2_2_2.text', type:'text', t:'q_1_2_2_2', f:'10px', x:'0.5s_1_2.x 0.5s_2_2.x -0.2c', y:'0.5s_1_2.y 0.5s_2_2.y' },
]
};
