/*
  SugarTrace
  Copyright by Naoyuki Tamura (tamura@kobe-u.ac.jp)
 */
var canvas = {
width : 600,
height : 300,
margin: [ 10, 10, 10, 10 ],
cols : 4,
rows : 4,
colsep : 80,
rowsep : 20,
fontSize : '14px',
strokeWidth : 2,
arrowSize : 15,
arrowAngle : 15,
shapes : [
{ name:'makespan', type:'text', t:'makespan', x:'c0', y:'R0 5' },
{ name:'makespan.domain', type:'text', t:'0..0', x:'c0 0.5C', y:'R0 5' },
{ name:'s_0_0', type:'rect', x:'c0', y:'r0', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_0_0.domain', type:'text', t:'0..0', x:'s_0_0.x', y:'s_0_0.y' },
{ name:'s_0_0.text', type:'text', t:'s_0_0', x:'s_0_0.C', y:'s_0_0.T 10' },
{ name:'s_0_0.pt', type:'text', t:'638', x:'s_0_0.C', y:'s_0_0.B -10' },
{ name:'s_0_1', type:'rect', x:'c1', y:'r0', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_0_1.domain', type:'text', t:'0..0', x:'s_0_1.x', y:'s_0_1.y' },
{ name:'s_0_1.text', type:'text', t:'s_0_1', x:'s_0_1.C', y:'s_0_1.T 10' },
{ name:'s_0_1.pt', type:'text', t:'7', x:'s_0_1.C', y:'s_0_1.B -10' },
{ name:'s_0_2', type:'rect', x:'c2', y:'r0', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_0_2.domain', type:'text', t:'0..0', x:'s_0_2.x', y:'s_0_2.y' },
{ name:'s_0_2.text', type:'text', t:'s_0_2', x:'s_0_2.C', y:'s_0_2.T 10' },
{ name:'s_0_2.pt', type:'text', t:'4', x:'s_0_2.C', y:'s_0_2.B -10' },
{ name:'s_0_3', type:'rect', x:'c3', y:'r0', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_0_3.domain', type:'text', t:'0..0', x:'s_0_3.x', y:'s_0_3.y' },
{ name:'s_0_3.text', type:'text', t:'s_0_3', x:'s_0_3.C', y:'s_0_3.T 10' },
{ name:'s_0_3.pt', type:'text', t:'351', x:'s_0_3.C', y:'s_0_3.B -10' },
{ name:'s_1_0', type:'rect', x:'c0', y:'r1', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_1_0.domain', type:'text', t:'0..0', x:'s_1_0.x', y:'s_1_0.y' },
{ name:'s_1_0.text', type:'text', t:'s_1_0', x:'s_1_0.C', y:'s_1_0.T 10' },
{ name:'s_1_0.pt', type:'text', t:'3', x:'s_1_0.C', y:'s_1_0.B -10' },
{ name:'s_1_1', type:'rect', x:'c1', y:'r1', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_1_1.domain', type:'text', t:'0..0', x:'s_1_1.x', y:'s_1_1.y' },
{ name:'s_1_1.text', type:'text', t:'s_1_1', x:'s_1_1.C', y:'s_1_1.T 10' },
{ name:'s_1_1.pt', type:'text', t:'638', x:'s_1_1.C', y:'s_1_1.B -10' },
{ name:'s_1_2', type:'rect', x:'c2', y:'r1', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_1_2.domain', type:'text', t:'0..0', x:'s_1_2.x', y:'s_1_2.y' },
{ name:'s_1_2.text', type:'text', t:'s_1_2', x:'s_1_2.C', y:'s_1_2.T 10' },
{ name:'s_1_2.pt', type:'text', t:'1', x:'s_1_2.C', y:'s_1_2.B -10' },
{ name:'s_1_3', type:'rect', x:'c3', y:'r1', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_1_3.domain', type:'text', t:'0..0', x:'s_1_3.x', y:'s_1_3.y' },
{ name:'s_1_3.text', type:'text', t:'s_1_3', x:'s_1_3.C', y:'s_1_3.T 10' },
{ name:'s_1_3.pt', type:'text', t:'358', x:'s_1_3.C', y:'s_1_3.B -10' },
{ name:'s_2_0', type:'rect', x:'c0', y:'r2', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_2_0.domain', type:'text', t:'0..0', x:'s_2_0.x', y:'s_2_0.y' },
{ name:'s_2_0.text', type:'text', t:'s_2_0', x:'s_2_0.C', y:'s_2_0.T 10' },
{ name:'s_2_0.pt', type:'text', t:'42', x:'s_2_0.C', y:'s_2_0.B -10' },
{ name:'s_2_1', type:'rect', x:'c1', y:'r2', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_2_1.domain', type:'text', t:'0..0', x:'s_2_1.x', y:'s_2_1.y' },
{ name:'s_2_1.text', type:'text', t:'s_2_1', x:'s_2_1.C', y:'s_2_1.T 10' },
{ name:'s_2_1.pt', type:'text', t:'69', x:'s_2_1.C', y:'s_2_1.B -10' },
{ name:'s_2_2', type:'rect', x:'c2', y:'r2', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_2_2.domain', type:'text', t:'0..0', x:'s_2_2.x', y:'s_2_2.y' },
{ name:'s_2_2.text', type:'text', t:'s_2_2', x:'s_2_2.C', y:'s_2_2.T 10' },
{ name:'s_2_2.pt', type:'text', t:'605', x:'s_2_2.C', y:'s_2_2.B -10' },
{ name:'s_2_3', type:'rect', x:'c3', y:'r2', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_2_3.domain', type:'text', t:'0..0', x:'s_2_3.x', y:'s_2_3.y' },
{ name:'s_2_3.text', type:'text', t:'s_2_3', x:'s_2_3.C', y:'s_2_3.T 10' },
{ name:'s_2_3.pt', type:'text', t:'284', x:'s_2_3.C', y:'s_2_3.B -10' },
{ name:'s_3_0', type:'rect', x:'c0', y:'r3', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_3_0.domain', type:'text', t:'0..0', x:'s_3_0.x', y:'s_3_0.y' },
{ name:'s_3_0.text', type:'text', t:'s_3_0', x:'s_3_0.C', y:'s_3_0.T 10' },
{ name:'s_3_0.pt', type:'text', t:'317', x:'s_3_0.C', y:'s_3_0.B -10' },
{ name:'s_3_1', type:'rect', x:'c1', y:'r3', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_3_1.domain', type:'text', t:'0..0', x:'s_3_1.x', y:'s_3_1.y' },
{ name:'s_3_1.text', type:'text', t:'s_3_1', x:'s_3_1.C', y:'s_3_1.T 10' },
{ name:'s_3_1.pt', type:'text', t:'286', x:'s_3_1.C', y:'s_3_1.B -10' },
{ name:'s_3_2', type:'rect', x:'c2', y:'r3', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_3_2.domain', type:'text', t:'0..0', x:'s_3_2.x', y:'s_3_2.y' },
{ name:'s_3_2.text', type:'text', t:'s_3_2', x:'s_3_2.C', y:'s_3_2.T 10' },
{ name:'s_3_2.pt', type:'text', t:'390', x:'s_3_2.C', y:'s_3_2.B -10' },
{ name:'s_3_3', type:'rect', x:'c3', y:'r3', w:'0.8c', h:'0.8r', r:15 },
{ name:'s_3_3.domain', type:'text', t:'0..0', x:'s_3_3.x', y:'s_3_3.y' },
{ name:'s_3_3.text', type:'text', t:'s_3_3', x:'s_3_3.C', y:'s_3_3.T 10' },
{ name:'s_3_3.pt', type:'text', t:'7', x:'s_3_3.C', y:'s_3_3.B -10' },
{ name:'q_0_0_0_1', type:'path', p:[':M', '<', 's_0_0.R', 's_0_0.M', ':L', 's_0_1.L', 's_0_1.M', '>'] },
{ name:'q_0_0_0_1.text', type:'text', t:'q_0_0_0_1', f:'10px', x:'0.5s_0_0.x 0.5s_0_1.x', y:'0.5s_0_0.y 0.5s_0_1.y -10' },
{ name:'q_0_0_0_2', type:'path', p:[':M', '<', 's_0_0.R', 's_0_0.M 10', ':S25', 's_0_2.L', 's_0_2.M 10', '>'] },
{ name:'q_0_0_0_2.text', type:'text', t:'q_0_0_0_2', f:'10px', x:'0.2s_0_0.x 0.8s_0_2.x', y:'0.5s_0_0.B 0.5s_0_2.B 10' },
{ name:'q_0_0_0_3', type:'path', p:[':M', '<', 's_0_0.R', 's_0_0.M 10', ':S25', 's_0_3.L', 's_0_3.M 10', '>'] },
{ name:'q_0_0_0_3.text', type:'text', t:'q_0_0_0_3', f:'10px', x:'0.2s_0_0.x 0.8s_0_3.x', y:'0.5s_0_0.B 0.5s_0_3.B 10' },
{ name:'q_0_1_0_2', type:'path', p:[':M', '<', 's_0_1.R', 's_0_1.M', ':L', 's_0_2.L', 's_0_2.M', '>'] },
{ name:'q_0_1_0_2.text', type:'text', t:'q_0_1_0_2', f:'10px', x:'0.5s_0_1.x 0.5s_0_2.x', y:'0.5s_0_1.y 0.5s_0_2.y -10' },
{ name:'q_0_1_0_3', type:'path', p:[':M', '<', 's_0_1.R', 's_0_1.M 10', ':S25', 's_0_3.L', 's_0_3.M 10', '>'] },
{ name:'q_0_1_0_3.text', type:'text', t:'q_0_1_0_3', f:'10px', x:'0.2s_0_1.x 0.8s_0_3.x', y:'0.5s_0_1.B 0.5s_0_3.B 10' },
{ name:'q_0_2_0_3', type:'path', p:[':M', '<', 's_0_2.R', 's_0_2.M', ':L', 's_0_3.L', 's_0_3.M', '>'] },
{ name:'q_0_2_0_3.text', type:'text', t:'q_0_2_0_3', f:'10px', x:'0.5s_0_2.x 0.5s_0_3.x', y:'0.5s_0_2.y 0.5s_0_3.y -10' },
{ name:'q_1_0_1_1', type:'path', p:[':M', '<', 's_1_0.R', 's_1_0.M', ':L', 's_1_1.L', 's_1_1.M', '>'] },
{ name:'q_1_0_1_1.text', type:'text', t:'q_1_0_1_1', f:'10px', x:'0.5s_1_0.x 0.5s_1_1.x', y:'0.5s_1_0.y 0.5s_1_1.y -10' },
{ name:'q_1_0_1_2', type:'path', p:[':M', '<', 's_1_0.R', 's_1_0.M 10', ':S25', 's_1_2.L', 's_1_2.M 10', '>'] },
{ name:'q_1_0_1_2.text', type:'text', t:'q_1_0_1_2', f:'10px', x:'0.2s_1_0.x 0.8s_1_2.x', y:'0.5s_1_0.B 0.5s_1_2.B 10' },
{ name:'q_1_0_1_3', type:'path', p:[':M', '<', 's_1_0.R', 's_1_0.M 10', ':S25', 's_1_3.L', 's_1_3.M 10', '>'] },
{ name:'q_1_0_1_3.text', type:'text', t:'q_1_0_1_3', f:'10px', x:'0.2s_1_0.x 0.8s_1_3.x', y:'0.5s_1_0.B 0.5s_1_3.B 10' },
{ name:'q_1_1_1_2', type:'path', p:[':M', '<', 's_1_1.R', 's_1_1.M', ':L', 's_1_2.L', 's_1_2.M', '>'] },
{ name:'q_1_1_1_2.text', type:'text', t:'q_1_1_1_2', f:'10px', x:'0.5s_1_1.x 0.5s_1_2.x', y:'0.5s_1_1.y 0.5s_1_2.y -10' },
{ name:'q_1_1_1_3', type:'path', p:[':M', '<', 's_1_1.R', 's_1_1.M 10', ':S25', 's_1_3.L', 's_1_3.M 10', '>'] },
{ name:'q_1_1_1_3.text', type:'text', t:'q_1_1_1_3', f:'10px', x:'0.2s_1_1.x 0.8s_1_3.x', y:'0.5s_1_1.B 0.5s_1_3.B 10' },
{ name:'q_1_2_1_3', type:'path', p:[':M', '<', 's_1_2.R', 's_1_2.M', ':L', 's_1_3.L', 's_1_3.M', '>'] },
{ name:'q_1_2_1_3.text', type:'text', t:'q_1_2_1_3', f:'10px', x:'0.5s_1_2.x 0.5s_1_3.x', y:'0.5s_1_2.y 0.5s_1_3.y -10' },
{ name:'q_2_0_2_1', type:'path', p:[':M', '<', 's_2_0.R', 's_2_0.M', ':L', 's_2_1.L', 's_2_1.M', '>'] },
{ name:'q_2_0_2_1.text', type:'text', t:'q_2_0_2_1', f:'10px', x:'0.5s_2_0.x 0.5s_2_1.x', y:'0.5s_2_0.y 0.5s_2_1.y -10' },
{ name:'q_2_0_2_2', type:'path', p:[':M', '<', 's_2_0.R', 's_2_0.M 10', ':S25', 's_2_2.L', 's_2_2.M 10', '>'] },
{ name:'q_2_0_2_2.text', type:'text', t:'q_2_0_2_2', f:'10px', x:'0.2s_2_0.x 0.8s_2_2.x', y:'0.5s_2_0.B 0.5s_2_2.B 10' },
{ name:'q_2_0_2_3', type:'path', p:[':M', '<', 's_2_0.R', 's_2_0.M 10', ':S25', 's_2_3.L', 's_2_3.M 10', '>'] },
{ name:'q_2_0_2_3.text', type:'text', t:'q_2_0_2_3', f:'10px', x:'0.2s_2_0.x 0.8s_2_3.x', y:'0.5s_2_0.B 0.5s_2_3.B 10' },
{ name:'q_2_1_2_2', type:'path', p:[':M', '<', 's_2_1.R', 's_2_1.M', ':L', 's_2_2.L', 's_2_2.M', '>'] },
{ name:'q_2_1_2_2.text', type:'text', t:'q_2_1_2_2', f:'10px', x:'0.5s_2_1.x 0.5s_2_2.x', y:'0.5s_2_1.y 0.5s_2_2.y -10' },
{ name:'q_2_1_2_3', type:'path', p:[':M', '<', 's_2_1.R', 's_2_1.M 10', ':S25', 's_2_3.L', 's_2_3.M 10', '>'] },
{ name:'q_2_1_2_3.text', type:'text', t:'q_2_1_2_3', f:'10px', x:'0.2s_2_1.x 0.8s_2_3.x', y:'0.5s_2_1.B 0.5s_2_3.B 10' },
{ name:'q_2_2_2_3', type:'path', p:[':M', '<', 's_2_2.R', 's_2_2.M', ':L', 's_2_3.L', 's_2_3.M', '>'] },
{ name:'q_2_2_2_3.text', type:'text', t:'q_2_2_2_3', f:'10px', x:'0.5s_2_2.x 0.5s_2_3.x', y:'0.5s_2_2.y 0.5s_2_3.y -10' },
{ name:'q_3_0_3_1', type:'path', p:[':M', '<', 's_3_0.R', 's_3_0.M', ':L', 's_3_1.L', 's_3_1.M', '>'] },
{ name:'q_3_0_3_1.text', type:'text', t:'q_3_0_3_1', f:'10px', x:'0.5s_3_0.x 0.5s_3_1.x', y:'0.5s_3_0.y 0.5s_3_1.y -10' },
{ name:'q_3_0_3_2', type:'path', p:[':M', '<', 's_3_0.R', 's_3_0.M 10', ':S25', 's_3_2.L', 's_3_2.M 10', '>'] },
{ name:'q_3_0_3_2.text', type:'text', t:'q_3_0_3_2', f:'10px', x:'0.2s_3_0.x 0.8s_3_2.x', y:'0.5s_3_0.B 0.5s_3_2.B 10' },
{ name:'q_3_0_3_3', type:'path', p:[':M', '<', 's_3_0.R', 's_3_0.M 10', ':S25', 's_3_3.L', 's_3_3.M 10', '>'] },
{ name:'q_3_0_3_3.text', type:'text', t:'q_3_0_3_3', f:'10px', x:'0.2s_3_0.x 0.8s_3_3.x', y:'0.5s_3_0.B 0.5s_3_3.B 10' },
{ name:'q_3_1_3_2', type:'path', p:[':M', '<', 's_3_1.R', 's_3_1.M', ':L', 's_3_2.L', 's_3_2.M', '>'] },
{ name:'q_3_1_3_2.text', type:'text', t:'q_3_1_3_2', f:'10px', x:'0.5s_3_1.x 0.5s_3_2.x', y:'0.5s_3_1.y 0.5s_3_2.y -10' },
{ name:'q_3_1_3_3', type:'path', p:[':M', '<', 's_3_1.R', 's_3_1.M 10', ':S25', 's_3_3.L', 's_3_3.M 10', '>'] },
{ name:'q_3_1_3_3.text', type:'text', t:'q_3_1_3_3', f:'10px', x:'0.2s_3_1.x 0.8s_3_3.x', y:'0.5s_3_1.B 0.5s_3_3.B 10' },
{ name:'q_3_2_3_3', type:'path', p:[':M', '<', 's_3_2.R', 's_3_2.M', ':L', 's_3_3.L', 's_3_3.M', '>'] },
{ name:'q_3_2_3_3.text', type:'text', t:'q_3_2_3_3', f:'10px', x:'0.5s_3_2.x 0.5s_3_3.x', y:'0.5s_3_2.y 0.5s_3_3.y -10' },
{ name:'q_0_0_1_0', type:'path', p:[':M', '<', 's_0_0.C', 's_0_0.B', ':L', 's_1_0.C', 's_1_0.T', '>'] },
{ name:'q_0_0_1_0.text', type:'text', t:'q_0_0_1_0', f:'10px', x:'0.5s_0_0.x 0.5s_1_0.x -0.2c', y:'0.5s_0_0.y 0.5s_1_0.y' },
{ name:'q_0_0_2_0', type:'path', p:[':M', '<', 's_0_0.C 10', 's_0_0.B', ':S-60', 's_2_0.C 10', 's_2_0.T', '>'] },
{ name:'q_0_0_2_0.text', type:'text', t:'q_0_0_2_0', f:'10px', x:'0.5s_0_0.R 0.5s_2_0.R 0.2c', y:'0.7s_0_0.y 0.3s_2_0.y' },
{ name:'q_0_0_3_0', type:'path', p:[':M', '<', 's_0_0.C 10', 's_0_0.B', ':S-60', 's_3_0.C 10', 's_3_0.T', '>'] },
{ name:'q_0_0_3_0.text', type:'text', t:'q_0_0_3_0', f:'10px', x:'0.5s_0_0.R 0.5s_3_0.R 0.2c', y:'0.7s_0_0.y 0.3s_3_0.y' },
{ name:'q_1_0_2_0', type:'path', p:[':M', '<', 's_1_0.C', 's_1_0.B', ':L', 's_2_0.C', 's_2_0.T', '>'] },
{ name:'q_1_0_2_0.text', type:'text', t:'q_1_0_2_0', f:'10px', x:'0.5s_1_0.x 0.5s_2_0.x -0.2c', y:'0.5s_1_0.y 0.5s_2_0.y' },
{ name:'q_1_0_3_0', type:'path', p:[':M', '<', 's_1_0.C 10', 's_1_0.B', ':S-60', 's_3_0.C 10', 's_3_0.T', '>'] },
{ name:'q_1_0_3_0.text', type:'text', t:'q_1_0_3_0', f:'10px', x:'0.5s_1_0.R 0.5s_3_0.R 0.2c', y:'0.7s_1_0.y 0.3s_3_0.y' },
{ name:'q_2_0_3_0', type:'path', p:[':M', '<', 's_2_0.C', 's_2_0.B', ':L', 's_3_0.C', 's_3_0.T', '>'] },
{ name:'q_2_0_3_0.text', type:'text', t:'q_2_0_3_0', f:'10px', x:'0.5s_2_0.x 0.5s_3_0.x -0.2c', y:'0.5s_2_0.y 0.5s_3_0.y' },
{ name:'q_0_1_1_1', type:'path', p:[':M', '<', 's_0_1.C', 's_0_1.B', ':L', 's_1_1.C', 's_1_1.T', '>'] },
{ name:'q_0_1_1_1.text', type:'text', t:'q_0_1_1_1', f:'10px', x:'0.5s_0_1.x 0.5s_1_1.x -0.2c', y:'0.5s_0_1.y 0.5s_1_1.y' },
{ name:'q_0_1_2_1', type:'path', p:[':M', '<', 's_0_1.C 10', 's_0_1.B', ':S-60', 's_2_1.C 10', 's_2_1.T', '>'] },
{ name:'q_0_1_2_1.text', type:'text', t:'q_0_1_2_1', f:'10px', x:'0.5s_0_1.R 0.5s_2_1.R 0.2c', y:'0.7s_0_1.y 0.3s_2_1.y' },
{ name:'q_0_1_3_1', type:'path', p:[':M', '<', 's_0_1.C 10', 's_0_1.B', ':S-60', 's_3_1.C 10', 's_3_1.T', '>'] },
{ name:'q_0_1_3_1.text', type:'text', t:'q_0_1_3_1', f:'10px', x:'0.5s_0_1.R 0.5s_3_1.R 0.2c', y:'0.7s_0_1.y 0.3s_3_1.y' },
{ name:'q_1_1_2_1', type:'path', p:[':M', '<', 's_1_1.C', 's_1_1.B', ':L', 's_2_1.C', 's_2_1.T', '>'] },
{ name:'q_1_1_2_1.text', type:'text', t:'q_1_1_2_1', f:'10px', x:'0.5s_1_1.x 0.5s_2_1.x -0.2c', y:'0.5s_1_1.y 0.5s_2_1.y' },
{ name:'q_1_1_3_1', type:'path', p:[':M', '<', 's_1_1.C 10', 's_1_1.B', ':S-60', 's_3_1.C 10', 's_3_1.T', '>'] },
{ name:'q_1_1_3_1.text', type:'text', t:'q_1_1_3_1', f:'10px', x:'0.5s_1_1.R 0.5s_3_1.R 0.2c', y:'0.7s_1_1.y 0.3s_3_1.y' },
{ name:'q_2_1_3_1', type:'path', p:[':M', '<', 's_2_1.C', 's_2_1.B', ':L', 's_3_1.C', 's_3_1.T', '>'] },
{ name:'q_2_1_3_1.text', type:'text', t:'q_2_1_3_1', f:'10px', x:'0.5s_2_1.x 0.5s_3_1.x -0.2c', y:'0.5s_2_1.y 0.5s_3_1.y' },
{ name:'q_0_2_1_2', type:'path', p:[':M', '<', 's_0_2.C', 's_0_2.B', ':L', 's_1_2.C', 's_1_2.T', '>'] },
{ name:'q_0_2_1_2.text', type:'text', t:'q_0_2_1_2', f:'10px', x:'0.5s_0_2.x 0.5s_1_2.x -0.2c', y:'0.5s_0_2.y 0.5s_1_2.y' },
{ name:'q_0_2_2_2', type:'path', p:[':M', '<', 's_0_2.C 10', 's_0_2.B', ':S-60', 's_2_2.C 10', 's_2_2.T', '>'] },
{ name:'q_0_2_2_2.text', type:'text', t:'q_0_2_2_2', f:'10px', x:'0.5s_0_2.R 0.5s_2_2.R 0.2c', y:'0.7s_0_2.y 0.3s_2_2.y' },
{ name:'q_0_2_3_2', type:'path', p:[':M', '<', 's_0_2.C 10', 's_0_2.B', ':S-60', 's_3_2.C 10', 's_3_2.T', '>'] },
{ name:'q_0_2_3_2.text', type:'text', t:'q_0_2_3_2', f:'10px', x:'0.5s_0_2.R 0.5s_3_2.R 0.2c', y:'0.7s_0_2.y 0.3s_3_2.y' },
{ name:'q_1_2_2_2', type:'path', p:[':M', '<', 's_1_2.C', 's_1_2.B', ':L', 's_2_2.C', 's_2_2.T', '>'] },
{ name:'q_1_2_2_2.text', type:'text', t:'q_1_2_2_2', f:'10px', x:'0.5s_1_2.x 0.5s_2_2.x -0.2c', y:'0.5s_1_2.y 0.5s_2_2.y' },
{ name:'q_1_2_3_2', type:'path', p:[':M', '<', 's_1_2.C 10', 's_1_2.B', ':S-60', 's_3_2.C 10', 's_3_2.T', '>'] },
{ name:'q_1_2_3_2.text', type:'text', t:'q_1_2_3_2', f:'10px', x:'0.5s_1_2.R 0.5s_3_2.R 0.2c', y:'0.7s_1_2.y 0.3s_3_2.y' },
{ name:'q_2_2_3_2', type:'path', p:[':M', '<', 's_2_2.C', 's_2_2.B', ':L', 's_3_2.C', 's_3_2.T', '>'] },
{ name:'q_2_2_3_2.text', type:'text', t:'q_2_2_3_2', f:'10px', x:'0.5s_2_2.x 0.5s_3_2.x -0.2c', y:'0.5s_2_2.y 0.5s_3_2.y' },
{ name:'q_0_3_1_3', type:'path', p:[':M', '<', 's_0_3.C', 's_0_3.B', ':L', 's_1_3.C', 's_1_3.T', '>'] },
{ name:'q_0_3_1_3.text', type:'text', t:'q_0_3_1_3', f:'10px', x:'0.5s_0_3.x 0.5s_1_3.x -0.2c', y:'0.5s_0_3.y 0.5s_1_3.y' },
{ name:'q_0_3_2_3', type:'path', p:[':M', '<', 's_0_3.C 10', 's_0_3.B', ':S-60', 's_2_3.C 10', 's_2_3.T', '>'] },
{ name:'q_0_3_2_3.text', type:'text', t:'q_0_3_2_3', f:'10px', x:'0.5s_0_3.R 0.5s_2_3.R 0.2c', y:'0.7s_0_3.y 0.3s_2_3.y' },
{ name:'q_0_3_3_3', type:'path', p:[':M', '<', 's_0_3.C 10', 's_0_3.B', ':S-60', 's_3_3.C 10', 's_3_3.T', '>'] },
{ name:'q_0_3_3_3.text', type:'text', t:'q_0_3_3_3', f:'10px', x:'0.5s_0_3.R 0.5s_3_3.R 0.2c', y:'0.7s_0_3.y 0.3s_3_3.y' },
{ name:'q_1_3_2_3', type:'path', p:[':M', '<', 's_1_3.C', 's_1_3.B', ':L', 's_2_3.C', 's_2_3.T', '>'] },
{ name:'q_1_3_2_3.text', type:'text', t:'q_1_3_2_3', f:'10px', x:'0.5s_1_3.x 0.5s_2_3.x -0.2c', y:'0.5s_1_3.y 0.5s_2_3.y' },
{ name:'q_1_3_3_3', type:'path', p:[':M', '<', 's_1_3.C 10', 's_1_3.B', ':S-60', 's_3_3.C 10', 's_3_3.T', '>'] },
{ name:'q_1_3_3_3.text', type:'text', t:'q_1_3_3_3', f:'10px', x:'0.5s_1_3.R 0.5s_3_3.R 0.2c', y:'0.7s_1_3.y 0.3s_3_3.y' },
{ name:'q_2_3_3_3', type:'path', p:[':M', '<', 's_2_3.C', 's_2_3.B', ':L', 's_3_3.C', 's_3_3.T', '>'] },
{ name:'q_2_3_3_3.text', type:'text', t:'q_2_3_3_3', f:'10px', x:'0.5s_2_3.x 0.5s_3_3.x -0.2c', y:'0.5s_2_3.y 0.5s_3_3.y' },
]
};
